import Vue from "vue";
import api from "@/api/index.js";

export default {
  namespaced: true,
  state: {
    searchListInfo: [],
  },
  actions: {
    cleanSearch({ commit, state }, payload) { //热门项目
      return api.request("get", api.getURL("search/listSelect"), payload).then(res => {				
				
        if(res) {
          commit("SET_CLEAN_SEARCH_INFO", res.data.data);

        }
        return res;
      });
    },
		
  },
  mutations: {
    INIT_DATA_STATUS(state, data) {
			
    },
    SET_CLEAN_SEARCH_INFO(state, data) {			
      Vue.set(state,"searchListInfo",data);			
    },
		
		
  },
  getters: {}
};